Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161572 - cannot rebuild valgrind from SRPM
Summary: cannot rebuild valgrind from SRPM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: valgrind
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 15:30 UTC by John Reiser
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.4.0-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 16:46:20 UTC


Attachments (Terms of Use)

Description John Reiser 2005-06-24 15:30:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Rebuilding valgrind from SRPM fails with compiler messages:
error: unknown register name 'mm0' in 'asm'

Version-Release number of selected component (if applicable):
valgrind-2.4.0-2

How reproducible:
Always

Steps to Reproduce:
1. rpm --install valgrind-2.4.0-2.src.rpm
2. cd SPECS; rpmbuild -ba valgrind.spec
3.
  

Actual Results:       ...
/usr/bin/perl ./gen_insn_test.pl < insn_fpu.def > insn_fpu.c
if gcc -DHAVE_CONFIG_H -I. -I. -I../../..     -Winline -Wall -Wshadow -g -I../../../include -Wno-long-long -Wno-pointer-sign -MT insn_fpu.o -MD -MP -MF ".deps/insn_fpu.Tpo" -c -o insn_fpu.o insn_fpu.c; \
then mv -f ".deps/insn_fpu.Tpo" ".deps/insn_fpu.Po"; else rm -f ".deps/insn_fpu.Tpo"; exit 1; fi
insn_fpu.c: In function 'faddl_1':
insn_fpu.c:383: error: unknown register name 'mm0' in 'asm'
insn_fpu.c: In function 'faddl_2':
insn_fpu.c:421: error: unknown register name 'mm0' in 'asm'
     ...
make[5]: *** [insn_fpu.o] Error 1




Expected Results:  Successful build.

Additional info:

Comment 1 John Reiser 2005-06-24 15:31:52 UTC
gcc (GCC) 4.0.0 20050519 (Red Hat 4.0.0-8)
binutils-2.15.94.0.2.2-2


Comment 2 Jakub Jelinek 2005-07-12 16:46:20 UTC
valgrind bug.  Fixed in valgrind-2.4.0-3.


Note You need to log in before you can comment on or make changes to this bug.